"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HidratedWebSystem = void 0;
const WebSystem_1 = require("./WebSystem");
const std = require("./std.json");
if ('\u0000' in std) {
    throw new Error('Hidrated system not correctly built');
}
class HidratedWebSystem extends WebSystem_1.WebSystem {
    constructor() {
        super();
        for (let i in std) {
            this.writeFile(this.resolvePath(i), std[i]);
        }
    }
}
exports.HidratedWebSystem = HidratedWebSystem;
//# sourceMappingURL=HidratedWebSystem.js.map