import { IToken } from 'ebnf';
import { ParsingContext } from './ParsingContext';
export declare function walkPreOrder<T extends {
    children: any[];
} = IToken>(cbEnter?: (node: T, phaseResult: ParsingContext, parent: T | null) => boolean | void, cbLeave?: (node: T, phaseResult: ParsingContext, parent: T | null) => void): (node: T, phaseResult: ParsingContext, parent?: T | null) => void;
export declare function walk<T extends {
    children: any[];
} = IToken>(node: T, phaseResult: ParsingContext, cbEnter?: (node: T, phaseResult: ParsingContext, parent: T | null) => boolean | void, cbLeave?: (node: T, phaseResult: ParsingContext, parent: T | null) => void, parent?: T | null): void;
